Subject: Re: I am *NOT* a believer in the democratic process.

From: Jeffrey Altman <[email-masked]>
Date: Mon, 25 Jun 2001 14:57:08 EDT

> 
> COOK:  good lord keith....  Surely stef's whole point is that the 
> Area Directors, IESG, and IAB need only accept work that WAS good 
> enough from THEIR own point of view.
> 
> it sounds like you are saying that it simply is not possible to 
> construct anything that could even merit IETF review unless you did 
> the construction from scratch within all the channels of the IETF?
> If so it sounds like you are determined to keep the views of the 
> current AD's, IESG and IAB as a gate through which ALL ideas must 
> pass and are saying that it is flat out impossible for anyone to 
> develop working code that could pass the scrutiny test.  How do you 
> know until, you see it?
> 

The whole point is that you will not know until you see the code.  But
what does that really mean?  Its not as if the IESG has infinite time
on their hands.  The IESG performs a review of the work that was done
by a working group, but it does that review knowing that the work that
is being reviewed was monitored by an AD and was performed with the
ability for any member of the IETF to comment on the work; raise
compatibility and security issues, etc.

It would be absurd to assume that the members of the IESG are all
knowing and powerful and could catch any or every design error that
might be incorporated into a protocol design.  Especially when it
comes to security considerations we often see problems in work that
was done by outside groups.  

There is no reason for a protocol whose authors plan to seek IETF
backing to be developed outside the IETF.

- Jeff

 Jeffrey Altman * Sr.Software Designer      C-Kermit 7.1 Alpha available
 The Kermit Project @ Columbia University   includes Secure Telnet and FTP
 http://www.kermit-project.org/             using Kerberos, SRP, and 
 [email-masked]          OpenSSL.  SSH soon to follow.

---

From: Stephen McHenry <[email-masked]>
Date: Mon, 25 Jun 2001 13:39:08 -0700

>backing to be developed outside the IETF.
Unless some vocal people have told them that

    - their efforts are misguided
    - they're stupid and incapable of coming up with anything good
    - "Because I can't see a use for it, it shouldn't be done"
    - "Because it could possibly be misused, it shouldn't be done"
    - "Because I didn't think of it first, it shouldn't be done"
         (no one actually says this, however...
    - "Because I don't have time to participate, it shouldn't be done" (ditto)
    ... or any of a thousand other things...

If enough crap is thrown in the way of people who want to accomplish 
things, eventually, they will find another way. Of course, what will happen 
if the OPES folks do as some suggest and develop it outside of the IETF 
(because they're frustrated with responses like have been exploding on here 
the last few days) and then try to bring it in for approval, then everyone 
is going to explode and say "Why wasn't this work done in the context of 
the IETF?"

Hmmm... Guess you just can't win

Another disturbing observation... in the past, every organization that 
really was a meritocracy (as I would call it) that I have been associated 
with, simply consisted of good people doing good work, without 
consideration for the "rules of participating" or "keeping the riff-raff 
out", etc. There was no discussion of it being a meritocracy, it just was. 
As soon as it got to the point where people were calling it a meritocracy, 
and debating rules about what was "meritous" enough to warrant "admission" 
and who owned what piece of technological ground, it was the beginning of 
the end. Soon, the people who were doing the good work went elsewhere where 
they could once again do good work, unencumbered by the "meritocracy".

Stephen

Stephen McHenry
VP, Engineering/CTO
Cacheware, Inc.
655 Campbell Technology Pkwy, Suite 150
Campbell, CA 95008
Ph:  (408) 540-1310
Fax: (408) 540-1305
e-mail: [email-masked]
www.cacheware.com

---

From: grenville armitage <[email-masked]>
Date: Mon, 25 Jun 2001 14:56:19 -0700

Stephen McHenry wrote:
	[..]
> Soon, the people who were doing the good work went elsewhere where

An alternative interpretation is that the good people started being
surrounded by less-good people who couldn't understand why their
less-good ideas weren't being praised and glorified. To explain
why less-good ideas weren't being praised simply for existing, the
good people's behavior is described as a "meritocracy". And if
the less-good people don't deal with that reality very well, the
good people go elsewhere to once again do good work, unencumbered
by the need to explain themselves as a meritocracy.

gja